import * as Yup from 'yup';

export const BankFormSchema = Yup.object({
  name: Yup.string().required('Nama wajib diisi!'),
  alias: Yup.string()
    .max(5, 'Maksimal 5 karakter!')
    .required('Alias wajib diisi!'),
  account_number: Yup.string().required('Rekening wajib diisi!'),
  owner: Yup.string(),
});

export const UpdateBankFormSchema = BankFormSchema;

export type BankFormValues = Yup.InferType<typeof BankFormSchema>;
